/*  ==========================================================================
    ZS-MAP styling
    ========================================================================== */

    /* VARIABLES
    ========================================================================== */

        // colors
        $white:                             #fff;
        $gray-20:                           #d8d8d8;
        $black:                             #000;
        $zs-blue:                           #00a3e0;
        $positive:                          $zs-blue;

        // typography
        $font-family-sans-serif:            'Roboto', Arial, Helvetica, sans-serif!default;
        $font-family:                       $font-family-sans-serif !default;

        // misc
        $base-line-height:                  1.4 !default;//px

        // buttons
        $button-color:                      #222 !default;
        $button-block-margin:               10px !default;
        $button-clear-padding:              6px !default;
        $button-border-radius:              0 !default;
        $button-border-width:               1px !default;

        $button-font-size:                  1.6 !default;
        $button-line-height:                4 !default;
        $button-font-weight:                400 !default;
        $button-height:                     4.2 !default;
        $button-padding:                    24px !default;
        $button-icon-size:                  24px !default;

        $button-huge-font-size:             20px !default;
        $button-huge-line-height:           70px !default;
        $button-huge-height:                $base-line-height * 5 !default;
        $button-huge-padding:               28px !default;
        $button-huge-icon-size:             32px !default;

        $button-large-font-size:            18px !default;
        $button-large-line-height:          49px !default;
        $button-large-height:               $base-line-height * 4 !default;
        $button-large-padding:              16px !default;
        $button-large-icon-size:            32px !default;

        $button-small-font-size:            16px !default;
        $button-small-height:               $base-line-height * 2 !default;
        $button-small-padding:              6px !default;
        $button-small-icon-size:            32px !default;

        $button-mini-font-size:             1.3 !default;
        $button-mini-line-height:           1 !default;
        $button-mini-padding:               8px 5px !default;
        $button-mini-icon-size:             28px !default;

        $button-full-border-radius:         $button-border-radius;

        $button-positive-bg:                $positive !default;
        $button-positive-text:              $white !default;
        $button-positive-border:            $positive !default;
        $button-positive-hover-text:        $white !default;
        $button-positive-hover-bg:          darken($positive, 15%) !default;
        $button-positive-hover-border:      darken($positive, 15%) !default;
        $button-positive-active-bg:         darken($positive, 15%) !default;
        $button-positive-active-border:     darken($positive, 15%) !default;
        $button-positive-box-shadow:        none;

        $button-default-bg:                  $button-positive-bg !default;
        $button-default-text:                $button-positive-text !default;
        $button-default-border:              $button-positive-border !default;
        $button-default-hover-text:          $button-positive-text !default;
        $button-default-hover-bg:            $white !default;
        $button-default-hover-border:        $white !default;
        $button-default-active-bg:           $white !default;
        $button-default-active-border:       $white !default;
        $button-default-box-shadow:          none;

        $button-icon-line-height:               19px;

    /* IMPORTS
    ========================================================================== */

    @import "mixins";
    @import "forms-button";
    @import "zsicon";


    /* SCAFFOLDING
    ========================================================================== */

    .hidden
    {
        display: none;
    }


    /* MAPBOX MAP COMPONENTS
    ========================================================================== */

    .mapboxgl-ctrl-group
    {
        position: relative;
        overflow: visible;

        

        font-family: $font-family;
    }

    /* ZOOMSQUARE MAP COMPONENTS
    ========================================================================== */

    .zsmap-ctrl-nav
    {
        display: none;
    }

    @media screen and (min-width: 800px) {
        .zsmap-ctrl-nav
        {
            display: block;
        }
    }

    // marker
    .zsmap-marker-geo
    {
        position: relative;
        
        display: block;
        width: 1px;
        height: 1px;
    
        &:after
        {
            position: absolute;
            top: -50px;
            left: -18px;
    
            display: block;
            width: 40px;
            height: 50px;
            content: '';
            
            background-image: url(/assets/shared/svg/map/map_marker.svg);
            background-size: contain;
            background-repeat: no-repeat;   
        }
    }

    // name of topo
    .zsmap-marker-toponame
    {
        z-index: 110;
        
        padding: 0px 5px;
        
        background: $white;
        border: 1px solid $gray-20;
        border-radius: 5px;
        transform: translate(20px,10px);
        font-family: $font-family;

        user-select: none;
    }

    .zsmap-marker-container-estateList
    {
        z-index: 120;
    }
    
    // estate tooltip
    .zsmap-marker-estateList
    {
        z-index: 120;

        width: 230px;
        height: 160px;
        padding: 5px;
        
        background: $white;
        border: 1px solid $gray-20;
        border-radius: 5px;
        font-family: $font-family;
        text-align: center;
        @include rem(font-size, 1.4);
        cursor: pointer;
        user-select: none;

        .zsmap-marker-estateList__close {
            position: absolute;
            top: -3px;
            right: 0px;
            z-index: 1;
            padding: 10px;
        }
    }

    .zsmap-marker-estateList__img
    {
        width: 50%;
        height: 70px;
        margin: 0 auto;
        margin-bottom: 7px;

        background-size: 100%;
        background-repeat: no-repeat;
        background-position: center;
    }
    
    // buttons
    .zsmap-ctrl-modeButton
    {
        display: inline-block;
        width: 44px;
        height: 44px;
        padding: 5px 7px;

        @include rem(font-size, 2.4);
        @include rem(line-height, 3.2);
        text-align: center;
        cursor: pointer;
        color: $black;
        
        &:hover
        {
            background-color: rgba($black,0.1);
        }
        
        &.zsmap-ctrl-modeButton__highlight
        {
            color: white;
            background-color: $positive;
            box-shadow: 0px 0px 0px 2px rgba(255,255,255,0.1);
            border-radius: 4px;
        }

        &:first-child
        {
            border-top-right-radius: 0;
            border-bottom-right-radius: 0;
        }

        &:nth-child(2n)
        {
            border-top-left-radius: 0;
            border-bottom-left-radius: 0;
        }

        @include breakpoint(large)
        {
            width: 30px;
            height: 30px;

            @include rem(font-size, 1.5);
            @include rem(line-height, 1.8);
        }
    }

    // tooltip
    .zsmap-ctrl-tooltip
    {
        position: absolute;
        right: 100%;
        top: 0;
        z-index: 1;
        
        min-width: 170px;
        margin-right: 10px;
        padding: 5px 25px 5px 5px;

        color: $white;
        background-color: rgba(0,0,0,0.7);
        border-radius: 4px;
        box-shadow: 0px 0px 0px 2px rgba(0,0,0,0.1);


        &:after,
        &:before
        {
            left: 100%;
            top: 15px;
            border: solid transparent;
            content: " ";
            height: 0;
            width: 0;
            position: absolute;
            pointer-events: none;
        }

        &:after
        {
            border-color: rgba(255, 255, 255, 0);
            border-left-color: rgba(0,0,0,0.7);
            border-width: 8px;
            margin-top: -8px;
        }

        &:before
        {
            border-color: rgba(0, 0, 0, 0);
            border-left-color: rgba(0, 0, 0, 0.1);
            border-width: 11px;
            margin-top: -11px;
        }  

        @include breakpoint(large)
        {
            min-width: 200px;
        } 
    }

    .zsmap-ctrl-styleswitch
    {
        display: block;
        padding: 0 5px;
        
        border-bottom: 1px solid $gray-20;
        cursor: pointer;
        
        &:hover
        {
            background-color: rgba($black,0.1);
        }
    }

    .mapboxgl-canvas-container.mapboxgl-interactive.clickable-canvas
    {
        cursor: pointer;
    }